List Orders (cursor-paginated)
curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/ordersimport requests
url = "https://staging.crossmint.com/api/2022-06-09/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.crossmint.com/api/2022-06-09/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}Orders
List Orders
Retrieve a paginated list of offramp orders for your project to track and reconcile payouts.
GET
/
2022-06-09
/
orders
List Orders (cursor-paginated)
Query Parameters
Available options:
asc, desc Available options:
declined, expired, in-progress, quote-phase, refunded, succeeded Available options:
delivered, failed, in-progress, not-started, partial-delivery Available options:
alphausd, ape, apt, aud, aurosusd, avax, betausd, bnb, bonk, busd, celo, chz, cop, credit, crypto, custom, degen, eth, eur, eurc, fiat, flow, fuel, gbp, hbar, hkd, inr, ip, jpy, krw, matic, mgusd, mnt, mxn, pathusd, phantom-cash, pirate, plume, pol, pyusd0, sei, sfuel, sgd, sol, sui, superverse, thetausd, u2u, usd, usdc, usdce, usdf, usdg, usdm0, usdm1, usdt, usdxm, vic, vnd, weth, wirex-usdc, wld, xai, xion, xlm, xmeme, zcx Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Orders retrieved successfully
Was this page helpful?

